<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_rela.html"><span>Related&#160;Functions</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li class="current"><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func_s.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_s"></a>- s -</h3><ul>
<li>search()
: <a class="el" href="class_admin_books_library_manager.html#a9d26ced5d3dbffc9f63518fb2015be41">AdminBooksLibraryManager</a>
, <a class="el" href="class_admin_library_manager.html#aeaff387129397aedde35ca1f86856567">AdminLibraryManager</a>
, <a class="el" href="class_admin_users_library_manager.html#a6e84e1cce8f7e66bd610adfefba9737e">AdminUsersLibraryManager</a>
, <a class="el" href="class_database.html#ad2d166028b81d82ac3696b1055759792">Database&lt; T &gt;</a>
</li>
<li>searchBook()
: <a class="el" href="class_user_books_widget.html#abcca830f4b93a8041e341bd4c968bc81">UserBooksWidget</a>
</li>
<li>sendAddBookToLibraryRequest()
: <a class="el" href="class_admin_books_library_manager.html#a254e4333038d138ca840679c5d4a4976">AdminBooksLibraryManager</a>
, <a class="el" href="class_admin_dialog.html#a6d1942d76464b00b709539edbe17e10d">AdminDialog</a>
, <a class="el" href="class_book_adder_dialog.html#a81006d1d02155534227b834f6e071985">BookAdderDialog</a>
, <a class="el" href="class_gui.html#a9e8074406a8c3fddf74b87b1935aa7e5">Gui</a>
</li>
<li>sendAddBookToLibraryRequestResult()
: <a class="el" href="class_admin_books_library_manager.html#a7e46d56857efbfe5666c142cb9062c41">AdminBooksLibraryManager</a>
, <a class="el" href="class_admin_dialog.html#aaa29836eddb9f3d0be605f862b8ce211">AdminDialog</a>
, <a class="el" href="class_app.html#a2c2f532509588e6060ae04fdbbed21cc">App</a>
, <a class="el" href="class_gui.html#a45b83b7b92ce6253834d28c67ea61614">Gui</a>
</li>
<li>sendAddBookToWishlistRequest()
: <a class="el" href="class_book_manager_dialog.html#a6d054a819bea81819023b1e7e27303d0">BookManagerDialog</a>
, <a class="el" href="class_gui.html#a55c7f71e765c57c27b2cab34aafba99a">Gui</a>
, <a class="el" href="class_user_books_widget.html#a72b1774daba211095958aa58d6741610">UserBooksWidget</a>
, <a class="el" href="class_user_dialog.html#aa89b7955cff67e4fc9528de6d266a045">UserDialog</a>
</li>
<li>sendAddBookToWishlistRequestResult()
: <a class="el" href="class_app.html#ab62537a268c86459241d09350f47634d">App</a>
, <a class="el" href="class_gui.html#ae1c8a08d2c0b78461904928f798f4761">Gui</a>
, <a class="el" href="class_user_books_widget.html#a816b477d3c34d37101521d7a9974698a">UserBooksWidget</a>
, <a class="el" href="class_user_dialog.html#a7eb28790ede8a8d131b41a631f45fdd0">UserDialog</a>
</li>
<li>sendAddUserToLibraryRequest()
: <a class="el" href="class_admin_dialog.html#a06c386ab5b7db457acdacf6c299d8206">AdminDialog</a>
, <a class="el" href="class_admin_users_library_manager.html#a5cf7536297c50dc0462aad73b2959527">AdminUsersLibraryManager</a>
, <a class="el" href="class_gui.html#a8d4e78464921dfcfa58e836fd8c1834f">Gui</a>
, <a class="el" href="class_user_adder_dialog.html#a5d8d9a96bd8884abc8a0a6092ed17b10">UserAdderDialog</a>
</li>
<li>sendAddUserToLibraryRequestResult()
: <a class="el" href="class_admin_dialog.html#ac22ab7ba0236ae9cab7d6e597fa7a7e1">AdminDialog</a>
, <a class="el" href="class_admin_users_library_manager.html#aa37e06de4238dea20dfd2632726b8fdd">AdminUsersLibraryManager</a>
, <a class="el" href="class_app.html#a7df689f27e02f71c4ee41a391f3822b7">App</a>
, <a class="el" href="class_gui.html#adf6eb142cba7a3946d64ef3f1b790dcb">Gui</a>
</li>
<li>sendCurrentUserAdminStatus()
: <a class="el" href="class_app.html#a5277de83d654625f2ff9998cb751a1b8">App</a>
</li>
<li>sendCurrentUserRequest()
: <a class="el" href="class_gui.html#a343ff061fde597753a3296ea5ae31a3b">Gui</a>
, <a class="el" href="class_user_dialog.html#a35fd2e5ba2011a8b75e2b9a61c31b532">UserDialog</a>
, <a class="el" href="class_user_preferences_widget.html#a55fbe8d94f0526208f63ddb6be94025d">UserPreferencesWidget</a>
</li>
<li>sendDetailsAboutBookRequest()
: <a class="el" href="class_book_details_dialog.html#ad349bcf5e6d958d07e29b355546b00db">BookDetailsDialog</a>
, <a class="el" href="class_gui.html#acf39ba69c97ed11586b9e8a4e8a44d50">Gui</a>
, <a class="el" href="class_user_books_widget.html#a9598ae508fd09bff774ece9ac1d0c9b9">UserBooksWidget</a>
, <a class="el" href="class_user_dialog.html#ab441b89bb8e70c48ebca03c6773efb04">UserDialog</a>
</li>
<li>sendDetailsAboutBookRequestResult()
: <a class="el" href="class_app.html#af3497d402d908ef1de7744fe33af4966">App</a>
, <a class="el" href="class_gui.html#a8af4fb92ae4ee963a09d8f6fe56dbd26">Gui</a>
, <a class="el" href="class_user_books_widget.html#a3b5920c41a062c9d61196a8208393df3">UserBooksWidget</a>
, <a class="el" href="class_user_dialog.html#ab11953e6e270a9ca297703255da0120d">UserDialog</a>
</li>
<li>sendEditBookInLibraryRequest()
: <a class="el" href="class_admin_books_library_manager.html#a12e7f5bc0346305a011758d29e7ff2eb">AdminBooksLibraryManager</a>
, <a class="el" href="class_admin_dialog.html#ab84c85cd044cfee3558b899544c66e0b">AdminDialog</a>
, <a class="el" href="class_gui.html#a7f41675c03732fb9e4677b8515f5ce91">Gui</a>
</li>
<li>sendEditBookInLibraryRequestResult()
: <a class="el" href="class_admin_books_library_manager.html#afb107ef90d236a9a8a4183542bed4a71">AdminBooksLibraryManager</a>
, <a class="el" href="class_admin_dialog.html#a953a7c34e5461a83d5d58cd62853f9c3">AdminDialog</a>
, <a class="el" href="class_app.html#ac925c4f2baf8a64d2ebf232439979a37">App</a>
, <a class="el" href="class_gui.html#a520e0265a777cb1b93365e916238fdb1">Gui</a>
</li>
<li>sendEditUserInLibraryRequest()
: <a class="el" href="class_admin_dialog.html#a203d47d014f60e8dcff40d874ff3afb7">AdminDialog</a>
, <a class="el" href="class_admin_users_library_manager.html#a86e86ab1471f38a1907dd69149c8706a">AdminUsersLibraryManager</a>
, <a class="el" href="class_gui.html#a6f5de7d88e997a696d9a8e5e015b63b6">Gui</a>
</li>
<li>sendEditUserInLibraryRequestResult()
: <a class="el" href="class_admin_dialog.html#a465dbd18879b4fb120cf82fee64dd403">AdminDialog</a>
, <a class="el" href="class_admin_users_library_manager.html#aa84128ee88d2362df4df89d02a4b1311">AdminUsersLibraryManager</a>
, <a class="el" href="class_app.html#a2c09216637aa69c1db71a005f003bb63">App</a>
, <a class="el" href="class_gui.html#a52270affea5506ff56e96b0c320d012b">Gui</a>
</li>
<li>sendEditUserRequest()
: <a class="el" href="class_admin_users_library_manager.html#a2a7c5516b21ce114aab80e368fc9846d">AdminUsersLibraryManager</a>
, <a class="el" href="class_gui.html#a96e318612a7551ba9222b712b78ac947">Gui</a>
, <a class="el" href="class_user_dialog.html#aa68431ff6220fc31aecdb75f2c84c316">UserDialog</a>
, <a class="el" href="class_user_editor_dialog.html#a592434126186dcd6c2535c5d46b861ca">UserEditorDialog</a>
, <a class="el" href="class_user_preferences_widget.html#a123a0724762a12e30c40ed4ec1223ce5">UserPreferencesWidget</a>
</li>
<li>sendEditUserRequestResult()
: <a class="el" href="class_app.html#a27f24a2acf9db5f000234076e3d203c1">App</a>
, <a class="el" href="class_gui.html#a037e179bbf2eb022c07e73c095731207">Gui</a>
, <a class="el" href="class_user_dialog.html#ae914abc5a44dcb119e3516a3ebcda147">UserDialog</a>
, <a class="el" href="class_user_preferences_widget.html#ad816b9242da802e2c280d8f9f71b09a6">UserPreferencesWidget</a>
</li>
<li>sendExportWishlistFromFileRequest()
: <a class="el" href="class_gui.html#a6bdbe03a8e1f862b09037dc24ebf506c">Gui</a>
, <a class="el" href="class_user_dialog.html#ab242de16bd25f1eeeb6cbc3d9656e992">UserDialog</a>
, <a class="el" href="class_user_preferences_widget.html#ab86930fdcf5c019ae47150af6dc7cef4">UserPreferencesWidget</a>
</li>
<li>sendExportWishlistFromFileRequestResult()
: <a class="el" href="class_app.html#a32d88c7547d4ca59aa268dcb9a1c78b5">App</a>
, <a class="el" href="class_gui.html#ac2d9d316dba42155c9f0941b8dc560fd">Gui</a>
, <a class="el" href="class_user_dialog.html#a049e0f82ce07eaf7b82cd3d4251baa6c">UserDialog</a>
</li>
<li>sendImportWishlistFromFileRequest()
: <a class="el" href="class_gui.html#a734889d391e6e11bf4d271a196ba572c">Gui</a>
, <a class="el" href="class_user_dialog.html#a125c2aa9aa687da507d02f3af94f9e48">UserDialog</a>
, <a class="el" href="class_user_preferences_widget.html#a7456117d7fef744b57fe213fccd03d9f">UserPreferencesWidget</a>
</li>
<li>sendImportWishlistFromFileRequestResult()
: <a class="el" href="class_app.html#afd2b7006fe1c750629e8f88f3826e74b">App</a>
, <a class="el" href="class_gui.html#ae0909537ad53c6ff655c6435df0ed194">Gui</a>
, <a class="el" href="class_user_dialog.html#aaa3afeb0ef9cd5257da3321704d2a322">UserDialog</a>
</li>
<li>sendLoansRequest()
: <a class="el" href="class_gui.html#ab140d1a5aae021f01032a516bb2e94fc">Gui</a>
, <a class="el" href="class_user_books_widget.html#adb164b67074c2247546e4412a3a9e458">UserBooksWidget</a>
, <a class="el" href="class_user_dialog.html#a0edc1453c13fe50e9a34754edd1ce60e">UserDialog</a>
</li>
<li>sendLoansRequestResult()
: <a class="el" href="class_app.html#a7996508e24f143e870ce308a63f17255">App</a>
, <a class="el" href="class_gui.html#afac627acf83e5b63b1d7f7e6b5cf1984">Gui</a>
, <a class="el" href="class_user_dialog.html#aecc8092341671bf6575563dd298e956f">UserDialog</a>
</li>
<li>sendRemoveBookFromLibraryRequest()
: <a class="el" href="class_admin_books_library_manager.html#a7ebb75f64c0bd2447843a7fa47c0c1d2">AdminBooksLibraryManager</a>
, <a class="el" href="class_admin_dialog.html#ac524faf342b61d5aa002c013d4086d48">AdminDialog</a>
, <a class="el" href="class_gui.html#a7d3685695e85cc9d654375f19c9d39cc">Gui</a>
</li>
<li>sendRemoveBookFromLibraryRequestResult()
: <a class="el" href="class_admin_dialog.html#a019568d28985ba97e38b12899642986d">AdminDialog</a>
, <a class="el" href="class_app.html#a3acb6b7206bc412c1dfb04ee5d5c9769">App</a>
, <a class="el" href="class_gui.html#a8b8847511823ec0ba3feccf3e6ec9c83">Gui</a>
</li>
<li>sendRemoveBookFromWishlistRequest()
: <a class="el" href="class_book_manager_dialog.html#ad23290f75f7bf7de95439aad65987921">BookManagerDialog</a>
, <a class="el" href="class_gui.html#a741d7be4ff8d9532683209853fb46e37">Gui</a>
, <a class="el" href="class_user_books_widget.html#ab99cbf4fcc12add9ab59a81728fa515f">UserBooksWidget</a>
, <a class="el" href="class_user_dialog.html#ace1910dfa6e1f56bc3d3c3d3e4b21542">UserDialog</a>
</li>
<li>sendRemoveBookFromWishlistRequestResult()
: <a class="el" href="class_app.html#a90b57e1203e8e94ab9365e4ad9147e88">App</a>
, <a class="el" href="class_gui.html#ae117363124625be4898f727f29f56c49">Gui</a>
, <a class="el" href="class_user_books_widget.html#a498738f7818ead6f90289f43e2fba110">UserBooksWidget</a>
, <a class="el" href="class_user_dialog.html#a735e0f1530bc833767488bead7579af2">UserDialog</a>
</li>
<li>sendRemoveUserFromLibraryRequest()
: <a class="el" href="class_admin_dialog.html#a4a9254bb1a24da17c68c49126a4e5c41">AdminDialog</a>
, <a class="el" href="class_admin_users_library_manager.html#a7cfdef06fd1f3f129645c2df0f4aedec">AdminUsersLibraryManager</a>
, <a class="el" href="class_gui.html#abb962389eb67b4567a1bc55b2abf76c6">Gui</a>
</li>
<li>sendRemoveUserFromLibraryRequestResult()
: <a class="el" href="class_admin_dialog.html#ac47dfcd00870a5ed4e29c05a1eed84a7">AdminDialog</a>
, <a class="el" href="class_app.html#a40b2071c35b8707b451dc1c2aa9595f7">App</a>
, <a class="el" href="class_gui.html#a4ddd94a29c0c4e107771498d72c2c8bf">Gui</a>
</li>
<li>sendReserveBookRequest()
: <a class="el" href="class_book_manager_dialog.html#a02d1645a9f2b130f0dff9983456bda97">BookManagerDialog</a>
, <a class="el" href="class_gui.html#a2ffa089e57ee1571da42db95c3ba3de6">Gui</a>
, <a class="el" href="class_user_books_widget.html#a23fb6ce0abc52a2c585aec974e29afe5">UserBooksWidget</a>
, <a class="el" href="class_user_dialog.html#a98b08931005f5a9f901afff4003286df">UserDialog</a>
</li>
<li>sendReserveBookRequestResult()
: <a class="el" href="class_app.html#a985d8e47297cadaeac565fbf3e026e9f">App</a>
, <a class="el" href="class_gui.html#a4891fd5c9698fa3f350ce69b9e66ce74">Gui</a>
, <a class="el" href="class_user_books_widget.html#ae9acd4f6fba02ded1213e0b7573a43df">UserBooksWidget</a>
, <a class="el" href="class_user_dialog.html#ada6d6ec95aeb83241afa80f68c42ae02">UserDialog</a>
</li>
<li>sendReturnBookRequest()
: <a class="el" href="class_book_manager_dialog.html#a88a2dead446e650424c62caac67a2360">BookManagerDialog</a>
, <a class="el" href="class_gui.html#ac6f69a62bc303884e36d0be38a5f85b9">Gui</a>
, <a class="el" href="class_user_books_widget.html#a032103cfe69258a9b14b274738916799">UserBooksWidget</a>
, <a class="el" href="class_user_dialog.html#a8d9cec62b7a9eee1812b628c0a15308f">UserDialog</a>
</li>
<li>sendReturnBookRequestResult()
: <a class="el" href="class_app.html#aef598bb6789958852f0a7de36b9a6e12">App</a>
, <a class="el" href="class_gui.html#a7c8260e2cdc4aea0a44ffe045a7ef311">Gui</a>
, <a class="el" href="class_user_books_widget.html#a13b44bb3472a24a6e48a95da1c6f23ec">UserBooksWidget</a>
, <a class="el" href="class_user_dialog.html#aeab67aca47d699663edc8bfed7e6da40">UserDialog</a>
</li>
<li>sendSearchBookRequest()
: <a class="el" href="class_admin_books_library_manager.html#a4d1d8c4d3925fd271016cf7546db9802">AdminBooksLibraryManager</a>
, <a class="el" href="class_gui.html#ab8de6758ae82e6f6f8aae66d4811c857">Gui</a>
, <a class="el" href="class_user_books_widget.html#a2ec494173d4e884427c92fb819470134">UserBooksWidget</a>
, <a class="el" href="class_user_dialog.html#a7e7fb490bbaa72ec5fa9641f19070200">UserDialog</a>
</li>
<li>sendSearchBookRequestResult()
: <a class="el" href="class_app.html#aa3fee2aff6169956359f840fcd155bc8">App</a>
, <a class="el" href="class_gui.html#ab254231f189c6a872dc24250dbbd6c65">Gui</a>
, <a class="el" href="class_user_dialog.html#a05d4498e62cbb9aba70a60c88ca09485">UserDialog</a>
</li>
<li>sendSearchUserRequest()
: <a class="el" href="class_admin_dialog.html#a68c381c09fae66cfeda9419dc95f9cbc">AdminDialog</a>
, <a class="el" href="class_admin_users_library_manager.html#a95bf77f1f271264f4d9889200d91cd96">AdminUsersLibraryManager</a>
, <a class="el" href="class_gui.html#a87bc09aef68724043c9b4f24b01db632">Gui</a>
</li>
<li>sendSearchUserRequestResult()
: <a class="el" href="class_admin_dialog.html#a2efc7720df8499ce5cb5bacf234150ef">AdminDialog</a>
, <a class="el" href="class_app.html#a4ce3bdbf1ca6d36aa405867f50711afd">App</a>
, <a class="el" href="class_gui.html#a4cd93c2bae41bb09285433b4e2164c59">Gui</a>
</li>
<li>sendSignInProcessIsComplete()
: <a class="el" href="class_login_dialog.html#a6b5d490c51015e3a40dc8d8552c2e265">LoginDialog</a>
, <a class="el" href="class_sign_in_dialog.html#aa2f71cae10fc7177d709e04be51c8e17">SignInDialog</a>
</li>
<li>sendSignInRequest()
: <a class="el" href="class_gui.html#a5fb313e391a25bc4e9798ee9b56d1718">Gui</a>
, <a class="el" href="class_login_dialog.html#ab9bda39689200bb4b507ae14b181d7bb">LoginDialog</a>
, <a class="el" href="class_sign_in_dialog.html#a58bb0a5765243955fef02d5ae40f0e80">SignInDialog</a>
</li>
<li>sendSignInRequestResult()
: <a class="el" href="class_app.html#a062013a314f850580362f5fa4aaa64e5">App</a>
, <a class="el" href="class_gui.html#ace1c44fdff26b57dc365e51bf0bbe011">Gui</a>
, <a class="el" href="class_login_dialog.html#a7618164c0e6f9b0b4d10c9a49e2e16cd">LoginDialog</a>
</li>
<li>sendSignUpRequest()
: <a class="el" href="class_gui.html#a59d88601c127c3d1de862f8f34c95528">Gui</a>
, <a class="el" href="class_login_dialog.html#a175d86057013c4e04d330dd56b2fc494">LoginDialog</a>
, <a class="el" href="class_sign_up_dialog.html#a694119471a481f4e1d22332f20dcf5c4">SignUpDialog</a>
</li>
<li>sendSignUpRequestResult()
: <a class="el" href="class_app.html#aa75d5e63f7bfb3c1ca27641faeab2800">App</a>
, <a class="el" href="class_gui.html#adc811573f8605cce30f325d2e9d11db2">Gui</a>
, <a class="el" href="class_login_dialog.html#a79cce1a536e74f438753276bee08e891">LoginDialog</a>
</li>
<li>sendUserRequest()
: <a class="el" href="class_admin_dialog.html#a543c733c8ed1ce351516ab8d205bad7f">AdminDialog</a>
, <a class="el" href="class_admin_users_library_manager.html#acdda0722f5574876dd1b95594589ca29">AdminUsersLibraryManager</a>
, <a class="el" href="class_gui.html#a72dfa49e20658233f69bd6c52dedab9d">Gui</a>
</li>
<li>sendUserRequestResult()
: <a class="el" href="class_app.html#abbf3f23886cdc301a0c20503dd19a810">App</a>
, <a class="el" href="class_gui.html#a747c9f8a97ca1511fdbd3633e01926f4">Gui</a>
, <a class="el" href="class_user_dialog.html#a8ceda6e9a42e541213117a785a03a34e">UserDialog</a>
</li>
<li>sendWishlistRequest()
: <a class="el" href="class_gui.html#a8eafc6845da61bfddf908299bf310d49">Gui</a>
, <a class="el" href="class_user_books_widget.html#ae798d9d61bfb6aa9f59f91ed7d9dcf5f">UserBooksWidget</a>
, <a class="el" href="class_user_dialog.html#ae5f8ac35de41d3c9e64c85e1689cedc8">UserDialog</a>
</li>
<li>sendWishlistRequestResult()
: <a class="el" href="class_app.html#a7960a336b7fa8d282b6e4121395c1b38">App</a>
, <a class="el" href="class_gui.html#aff84f8df0d0c42b9bc1e024e71a1ee6f">Gui</a>
, <a class="el" href="class_user_dialog.html#ac1e1ca783995919647b8d2e4a416a890">UserDialog</a>
</li>
<li>setBookId()
: <a class="el" href="class_book_details_dialog.html#a583234f5606f7be26ec2dbde8767ba75">BookDetailsDialog</a>
</li>
<li>setCurrentSelectedItem()
: <a class="el" href="class_admin_library_manager.html#ac399beaf3586b22edc47994502bb4946">AdminLibraryManager</a>
</li>
<li>setDateOfBirth()
: <a class="el" href="class_person.html#a172e5a16b36e2aa9dfec68b289e1747b">Person</a>
</li>
<li>setDescription()
: <a class="el" href="class_item.html#ab5b987640aafeee80a284861ebedb959">Item</a>
</li>
<li>setEmail()
: <a class="el" href="class_user.html#a003a00af12fe873041488375f8abdccb">User</a>
</li>
<li>setID()
: <a class="el" href="class_item.html#a2bad6384eb6479ea0e1a131054fa1cc7">Item</a>
</li>
<li>setName()
: <a class="el" href="class_item.html#ad1df8af319de8f613b85d99118a1e203">Item</a>
, <a class="el" href="class_person.html#ad6e438f456d3ae6f5b477931c0a6aeba">Person</a>
</li>
<li>setReadOnly()
: <a class="el" href="class_inline_label.html#a6f6284ad72391ef4b98652406a7d2dc5">InlineLabel</a>
</li>
<li>setSurname()
: <a class="el" href="class_person.html#af6a9ce78af39382fbab39f64319c7cde">Person</a>
</li>
<li>setText()
: <a class="el" href="class_inline_label.html#abc7bb79e296c5094c49943541d06970f">InlineLabel</a>
</li>
<li>Settings()
: <a class="el" href="class_settings.html#ab7169a6eefce79566dd07db3b1e5e967">Settings</a>
</li>
<li>setup()
: <a class="el" href="class_admin_library_manager.html#ad78c16165b17801949511ef2796ecd5f">AdminLibraryManager</a>
, <a class="el" href="class_book_details_dialog.html#a55803efb73392edd2f5eb0928bc47848">BookDetailsDialog</a>
, <a class="el" href="class_user_details_dialog.html#a26d57836ff8ace4f2ab9e72669873e13">UserDetailsDialog</a>
, <a class="el" href="class_user_dialog.html#a45c414c62b116e74e61ba290f3400505">UserDialog</a>
</li>
<li>setupButtons()
: <a class="el" href="class_admin_library_manager.html#abeb0c03bb57aceeb27dbb844f900b2a3">AdminLibraryManager</a>
</li>
<li>setupSearchBox()
: <a class="el" href="class_admin_library_manager.html#a588ee7ab6755c681e967e347ac56d627">AdminLibraryManager</a>
</li>
<li>setupSearchResultBox()
: <a class="el" href="class_admin_library_manager.html#a6811de04a670a1a66112e5f8e7d83988">AdminLibraryManager</a>
</li>
<li>show()
: <a class="el" href="class_sign_in_dialog.html#a8bda7f67a50360ffa94b38b0fda0f322">SignInDialog</a>
, <a class="el" href="class_sign_up_dialog.html#a08250f31562cc3261e637de611487ec6">SignUpDialog</a>
</li>
<li>signIn()
: <a class="el" href="class_app.html#a900dabc81284917251bf65cf02a10238">App</a>
, <a class="el" href="class_login_dialog.html#a61f85a712804a0f90556a049d2374956">LoginDialog</a>
, <a class="el" href="class_sign_in_dialog.html#ad9c9146cbedecab272b306e4a36c28b4">SignInDialog</a>
</li>
<li>SignInDialog()
: <a class="el" href="class_sign_in_dialog.html#aaf0256ac655e075b5cbe6b206b00500c">SignInDialog</a>
</li>
<li>signUp()
: <a class="el" href="class_app.html#a6e2eed8708f30842c9fe21d6e7f8c2ad">App</a>
, <a class="el" href="class_login_dialog.html#a563979f996717d8c6dcb670ba56185b8">LoginDialog</a>
, <a class="el" href="class_sign_up_dialog.html#af7707b7571739861c37ef6ecf278f7a6">SignUpDialog</a>
</li>
<li>SignUpDialog()
: <a class="el" href="class_sign_up_dialog.html#a6094bd30bc8efecb06a8c48f28216b62">SignUpDialog</a>
</li>
<li>size()
: <a class="el" href="class_database.html#aeefe0c4942913d067612694ce92b7c90">Database&lt; T &gt;</a>
</li>
<li>SmartPointer()
: <a class="el" href="class_smart_pointer.html#a3fa3ec3cd42af91d449ee93657320a0d">SmartPointer&lt; T &gt;</a>
</li>
<li>start()
: <a class="el" href="class_app.html#a45e80958bad2ae75a2a152028a66021c">App</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
